Name:          modem-manager-gui
Summary:       Graphical interface for ModemManager
Summary(de):   Grafische Oberfläche für ModemManager
Summary(ru):   Графический интерфейс для демона ModemManager
Version:       0.0.16
Release:       4%{?dist}
License:       GPLv3
URL:           http://linuxonly.ru/cms/page.php?7
# The original download link is a PHP script which points to this file:
Source0:       http://download.tuxfamily.org/gsf/source/%{name}-%{version}.tar.gz
# The German translation has been submitted upstream:
# https://www.transifex.com/projects/p/modem-manager-gui/language/de/
Source1:       %{name}-de.po
Source2:       %{name}-de.1
Source3:       %{name}-ru.1

BuildRequires: pkgconfig
BuildRequires: gtk3-devel
BuildRequires: glib2-devel
BuildRequires: gdbm-devel
BuildRequires: libnotify-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext

%description
This program is a simple graphical interface for Modem Manager 
daemon dbus interface.
Current features:
- View device information: Operator name, Mode, IMEI, IMSI,
  Signal level.
- Send and receive SMS messages with long massages 
  concatenation and store messages in database.
- Send USSD requests and read answers in GSM7 and UCS2 formats
  converted to system UTF8 charset.
- Scan available mobile networks.

%description -l de
Dieses Programm ist eine einfache grafische Oberfläche für
die DBus-Schnittstelle des ModemManager-Daemons.
Funktionen:
- Geräteinformationen anzeigen: Name des Netzanbieters, Modus,
  IMEI, IMSI, Signalstärke.
- SMS senden und empfangen, Verkettung langer Nachrichten,
  Speichern der Nachrichten in der Datenbank.
- USSD-Befehle in den Formaten GSM7 und UCS2 senden und
  Antworten empfangen, Umwandlung in den UTF-8-Zeichensatz.
- Nach verfügbaren Mobilnetzwerken suchen.

%description -l ru
Данная программа является простым графическим интерфейсом для
демона Modem Manager, использующим интерфейс dbus.
Текущие возможности:
- Просмотр информации об устройстве: имени оператора, режима работы,
  IMEI, IMSI и уровня сигнала.
- Прием и отправка сообщений SMS с объединением длинных сообщений 
  и сохранением сообщений в базе данных.
- Отправка запросов USSD и прием ответов в кодировках GSM7 и UCS2
  с последующей конвертацией в системную кодировку UTF8.
- Сканирование доступных мобильных сетей.

%prep
%setup -q
# This locale doesn't exist in Fedora
rm -f po/bn_BD.po
cp %{SOURCE1} ./po/de.po

%build
%configure
make %{?_smp_mflags}

%install
make install INSTALLPREFIX=%{buildroot}
mkdir -p %{buildroot}/%{_mandir}/de/man1
install -p %{SOURCE2} %{buildroot}/%{_mandir}/de/man1/%{name}.1
mkdir -p %{buildroot}/%{_mandir}/ru/man1
install -p %{SOURCE3} %{buildroot}/%{_mandir}/ru/man1/%{name}.1
%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%doc LICENSE AUTHORS Changelog
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_mandir}/*/man1/%{name}.1.*

%changelog
* Fri Jan 03 2014 Mario Blättermann <mariobl@fedoraproject.org> - 0.0.16-4
- Remove the bn_BD translation because the locale doesn't exist in Fedora
- Added German and Russian man pages

* Thu Jan 02 2014 Mario Blättermann <mariobl@fedoraproject.org> - 0.0.16-3
- Fix folder ownership
- Move desktop-file-validate to %%check

* Sat Dec 28 2013 Mario Blättermann <mariobl@fedoraproject.org> - 0.0.16-2
- Added German translation

* Sat Oct 26 2013 Mario Blättermann <mariobl@fedoraproject.org> 0.0.16-1
- New upstream version
- Some spec file cleanup

* Sun Dec 16 2012 Alex <alex@linuxonly.ru>
- added additional pictures for 0.0.15 release

* Wed Aug 08 2012 Alex <alex@linuxonly.ru>
- released spec

